<!--
# Внимание!!! Запустите этот файл только один раз!!!
# После запуска файла и создания базы данных и таблиц
# удалите этот файл с сервера!
# В противном случае, все данные будут стерты.
-->

<?php
include("var.php");
$db = mysql_connect($bdhost,$bdlogin,$bdpass);
mysql_create_db($bdname,$db);
mysql_select_db($bdname,$db);	

//Таблица для регистрации пользователя
mysql_query("CREATE TABLE $autortable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
login VARCHAR(50) NOT NULL,
email VARCHAR(50) NOT NULL,
date date NOT NULL,
pass VARCHAR(20) NOT NULL,
status VARCHAR(15) NOT NULL,
ip VARCHAR(30) NOT NULL,
PRIMARY KEY(ID)
)");

//Таблица для базы анкет
mysql_query("CREATE TABLE $textable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
name VARCHAR(50) NOT NULL,
email VARCHAR(50) NOT NULL,
city VARCHAR(30) NOT NULL,
metro VARCHAR(30) NOT NULL,
telephone TEXT NOT NULL,
othercon TEXT NOT NULL,
birth date NOT NULL,
height VARCHAR(3) NOT NULL,
weight VARCHAR(3) NOT NULL,
bust VARCHAR(3) NOT NULL,
body VARCHAR(20) NOT NULL,
edu VARCHAR(30) NOT NULL,
hair VARCHAR(10) NOT NULL,
eyes VARCHAR(10) NOT NULL,
category VARCHAR(30) NOT NULL,
tr TEXT NOT NULL,
appricehour INT(5) NOT NULL,
appricenight INT(5) NOT NULL,
homepricehour INT(5) NOT NULL,
homepricenight INT(5) NOT NULL,
url VARCHAR(70) NOT NULL,
comment TEXT NOT NULL,
foto1 VARCHAR(30) NOT NULL,
foto2 VARCHAR(30) NOT NULL,
foto3 VARCHAR(30) NOT NULL,
foto4 VARCHAR(30) NOT NULL,
foto5 VARCHAR(30) NOT NULL,
aid INT(9) NOT NULL,
date date NOT NULL,
reiting INT(9) NOT NULL,
sum INT(9) NOT NULL,
count INT(9) NOT NULL,
today date NOT NULL,
status VARCHAR(15) NOT NULL,
PRIMARY KEY(ID)
)");

//Таблица для базы салонов/саун
mysql_query("CREATE TABLE $saluntable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
name VARCHAR(50) NOT NULL,
email VARCHAR(50) NOT NULL,
city VARCHAR(30) NOT NULL,
metro VARCHAR(30) NOT NULL,
telephone TEXT NOT NULL,
othercon TEXT NOT NULL,
category VARCHAR(30) NOT NULL,
tr TEXT NOT NULL,
url VARCHAR(70) NOT NULL,
comment TEXT NOT NULL,
foto1 VARCHAR(30) NOT NULL,
foto2 VARCHAR(30) NOT NULL,
foto3 VARCHAR(30) NOT NULL,
foto4 VARCHAR(30) NOT NULL,
foto5 VARCHAR(30) NOT NULL,
aid INT(9) NOT NULL,
date date NOT NULL,
status VARCHAR(15) NOT NULL,
PRIMARY KEY(ID)
)");

//Таблица для IP-адресов пользователей, запрещенных к регистрации
mysql_query("CREATE TABLE $bunsiptable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
bunsip VARCHAR(30) NOT NULL,
PRIMARY KEY(ID)
)");

//Таблица для комментариев к анкетам
mysql_query("CREATE TABLE $commentstable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
tid SMALLINT NOT NULL,
name VARCHAR(50) NOT NULL,
email VARCHAR(50) NOT NULL,
comment TEXT NOT NULL,
date date NOT NULL,
PRIMARY KEY(ID)
)");

//Таблица для комментариев к салонам/саунам
mysql_query("CREATE TABLE $saluncommtable
(
ID SMALLINT UNSIGNED NOT NULL auto_increment,
tid SMALLINT NOT NULL,
name VARCHAR(50) NOT NULL,
email VARCHAR(50) NOT NULL,
comment TEXT NOT NULL,
date date NOT NULL,
PRIMARY KEY(ID)
)");

mysql_close($db);
?>